Subject: FSL Driver load issues with OF

From: Benjamin Zores <[email-masked]>
Date: Wed, 29 Apr 2009 11:45:20 +0200

Hi there,

Since the progressive migration of some PPC drivers to use of_platform bus
(typically migrating OF parsing from fsl_soc.c to the device probe/init 
functions),
I'm experiencing driver load issues.

Actually, I'm not longer able to load of these drivers as the probe() 
function is never called.
Everything goes fine if I put code back to fsl_soc.c with the 
arch_initcall() command.

Example of drivers that do no longer load for me: gianfar, talitos ...
Is there something obvious that I've missed ?

Ben